pipeline {
    agent { label 'jenkins-nodejs-agent' }

    environment {
        RELEASE = "latest"
    }
    stages {
        stage('Build static content') {
            steps {
               sh '''
                  #npm install
                  #npm run build
                  #pwd
                  #echo
                  docker build --progress=plain -t bbuddy/bbuddy_ui:${RELEASE} .
               '''
            }
        }
        stage('Push image to harbor ') {
            steps {
               sh '''
                  sudo docker login https://harbor-wtkp3fsbv6.vertexa.devbay.tech/  -u 'robot$jenkins' -p 'ZrzsVIAeueW1p0alpAnPfM5CDtaRVVKz'
                  sudo docker tag bbuddy/bbuddy_ui:${RELEASE} harbor-wtkp3fsbv6.vertexa.devbay.tech/bbuddy/bbuddy_ui:${RELEASE}
                  sudo docker push harbor-wtkp3fsbv6.vertexa.devbay.tech/bbuddy/bbuddy_ui:${RELEASE}
               '''
            }
        }
    }
}
